#ifndef sockets_h
#define sockets_h

#ifndef THINK_C
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#endif 

#include "cdialect.h"
#include "cutil.h"

/*---------------------------------------------------------------------------*/

void openServer(long port,long* socket,long size);
void acceptClientConnection(long socket,FILE** file);
void closeClientConnection(FILE* file);
void closeServer(long socket);
FILE *connectToServer(char* hostname,long port);
void closeConnectionToServer(FILE* file);
boolean isSameIPAddress(char* host1,char* host2);

/*---------------------------------------------------------------------------*/

#endif




