/*****************************************************************************
* 	        (c) Copyright 1994 Wide Area Information Servers, Inc        *
*	   	                 All rights reserved.   	             *
*									     *
*  This notice is intended as a precaution against inadvertent publication   *
*  and does not constitute an admission or acknowledgement that publication  *
*  has occurred or constitute a waiver of confidentiality.		     *
*									     *
*  Wide Area Information Server software is the proprietary and              *
*  confidential property of Wide Area Information Servers, Inc.              *
*****************************************************************************/

#ifndef tcpConn_h
#define tcpConn_h

#include <stdarg.h>
#include "nConnMgr.h"

/*-------------------------------------------------------------------------- */

nConnStatus tcpConnOpen(nConn** conn,long numArgs,va_list ap);
nConnStatus tcpConnWaitForConnection(nConn** conn,long numArgs,va_list ap);
nConnStatus tcpConnInitialize(nConn* conn);
nConnStatus tcpConnRead(nConn* conn,unsigned char* val);
nConnStatus tcpConnPeek(nConn* conn,unsigned char* val);
nConnStatus tcpConnWrite(nConn* conn,unsigned char val);
nConnStatus tcpConnFlush(nConn* conn);
nConnStatus tcpConnFree(nConn* conn);
nConnStatus tcpConnGetId(nConn* conn,char** netId,char** name);

/*-------------------------------------------------------------------------- */

#endif /* ndef tcpConn_h */

