/* WIDE AREA INFORMATION SERVER SOFTWARE:
   No guarantees or restrictions.  See the readme file for the full standard
   disclaimer.	
  
   4.14.90	Harry Morris, morris@think.com
   7.24.90  	added include of sys/types
*/

/*----------------------------------------------------------------------*/
/* definitions that non-ansi (aka sun) C doesn't provide */

#ifndef USTUBS_H
#define USTUBS_H

#include "cdialect.h"

#ifndef  ANSI_LIKE

#include <sys/types.h>

#ifdef M_XENIX
#include <string.h>
#endif /* ndef M_XENIX */

#ifndef size_t
#ifndef M_XENIX
#define	size_t	unsigned long
#endif /* ndf M_XENIX */
#endif /* ndef size_t */

#ifndef ANSI_LIKE
#ifndef M_XENIX
#define time_t long
#endif /* ndef M_XENIX */
#endif /* ndef ANSI_LIKE */

#ifdef K_AND_R  /* this might be too general, but it is needed on vaxen */
#define void char
#endif /* ndef K_AND_R */

#ifdef __cplusplus
/* declare these as C style functions */
extern "C"
	{
#endif /* def __cplusplus */

char *strstr(char *src, char *sub);

#ifdef SYSV
char *getwd (char *pathname);
long random(void);
long srandom(unsigned long seed);
#define rename(f1,f2) {link((f1),(f2)); unlink((f1)); }
#endif /* defu SYSV */

#if !(defined(NeXT) || defined(Mach))
#ifndef M_XENIX
#ifndef cstar
char* malloc(size_t size);
char* calloc(size_t nelem,size_t elsize);
void free(char* ptr);
char* realloc(char* ptr,size_t size);
#ifndef mips
#ifndef hpux
#ifndef vax
#ifndef bsdi
char* memcpy(char* s1,char* s2,size_t c);
void* memmove(void* s1,void* s2,size_t n);
#endif /* ndef bsdi */
#endif /* ndef vax */
#endif /* ndef hpux */
#endif /* ndef mips */
char *strcat(char *s1, char *s2);
#endif /* ndef cstar */
#endif /* ndef M_XENIX */
#endif /* not NeXT or Mach */

long atol(char *s);

#ifdef __cplusplus
	}
#endif /* def __cplusplus */

#else /* def ANSI_LIKE */

#endif /* else ndef ANSI_LIKE */

/*----------------------------------------------------------------------*/

#endif /* ndef USTUBS_H */

