/*****************************************************************************
* 	        (c) Copyright 1994 Wide Area Information Servers, Inc        *
*	   	                 All rights reserved.   	             *
*									     *
*  This notice is intended as a precaution against inadvertent publication   *
*  and does not constitute an admission or acknowledgement that publication  *
*  has occurred or constitute a waiver of confidentiality.		     *
*									     *
*  Wide Area Information Server software is the proprietary and              *
*  confidential property of Wide Area Information Servers, Inc.              *
*****************************************************************************/

#ifndef stdioConn_h
#define stdioConn_h

#include <stdarg.h>
#include "nConnMgr.h"

/*-------------------------------------------------------------------------- */

nConnStatus stdioConnOpen(nConn** conn,long numArgs,va_list ap);
nConnStatus stdioConnWaitForConnection(nConn** conn,long numArgs,va_list ap);
nConnStatus stdioConnInitialize(nConn* conn);
nConnStatus stdioConnRead(nConn* c,unsigned char* val);
nConnStatus stdioConnPeek(nConn* c,unsigned char* val);
nConnStatus stdioConnWrite(nConn* c,unsigned char val);
nConnStatus stdioConnFlush(nConn* c);
nConnStatus stdioConnFree(nConn* c);
nConnStatus stdioConnGetId(nConn* c,char** netId,char** name);

/*-------------------------------------------------------------------------- */

#endif /* ndef stdioConn_h */

