/*****************************************************************************
* 	        (c) Copyright 1994 Wide Area Information Servers, Inc        *
*	   	                 All rights reserved.   	             *
*									     *
*  This notice is intended as a precaution against inadvertent publication   *
*  and does not constitute an admission or acknowledgement that publication  *
*  has occurred or constitute a waiver of confidentiality.		     *
*									     *
*  Wide Area Information Server software is the proprietary and              *
*  confidential property of Wide Area Information Servers, Inc.              *
*****************************************************************************/

#ifndef cli_h
#define cli_h

boolean Z3950V2InitReqWriteAPDU(char* pBuf,
				long* pBufLen,
				long  pPrefMsgSiz,
				long  pMaxRecSiz,
				char* pIdAuth,
				char* pImpId,
				char* pImpName,
				char* pImpVer,
				...);

boolean Z3950V2InitRespReadAPDU(char*    pBuf,
				long*    pPrefMsgSiz,
				long*    pMaxRecSiz,
				boolean* pRes,
				char**   pImpId,
				char**   pImpName,
				char**   pImpVer,
				list*    pDiags,
				...);

boolean Z3950V2SearchReqWriteAPDU(char*       pBuf, 
				  long*       pBufLen,
				  long        pSmlSetUpBnd, 
				  long        pLrgSetLoBnd,
				  long        pMedSetPresNum,
				  boolean     pReplInd, 
				  char*       pResSetName, 
				  char*       pDbName,
				  char*       pSmlSetElmtSetName,
				  char*       pMedSetElmtSetName,
				  char*       pPrefRecSyn, 
				  appConnQry* pQry);

boolean Z3950V2SearchRespReadVariantsAPDU(char*    pBuf, 
					  long*    pResCnt, 
					  long*    pNumRecRet, 
					  long*    pNxtResSetPos, 
					  boolean* pSrchStat, 
					  long*    pResSetStat,
					  long*    pPrsntStat,
					  list*    pRecs,
					  list*    pDiags);

boolean Z3950V2SearchRespReadObjElemAPDU(char*    pBuf, 
					 long*    pResCnt, 
					 long*    pNumRecRet, 
					 long*    pNxtResSetPos, 
					 boolean* pSrchStat, 
					 long*    pResSetStat,
					 long*    pPrsntStat,
					 char**   pElem,
					 char**   pObjElem, 
					 long*    pObjElemLen,
					 char**   pTargetPtr,
					 list*    pDiags);

boolean Z3950V2PresentReqWriteAPDU(char* pBuf, 
				   long* pBufLen, 
				   char* pResSetId, 
				   long  pResSetStrtPt, 
				   long  pNumRecReq,
				   char* pElmtSetName, 
				   char* pPrefRecSyn);

boolean Z3950V2PresentRespReadVariantsAPDU(char* pBuf, 
					   long* pNumRecRet, 
					   long* pNxtResSetPos, 
					   long* pPrsntStat,
					   list* pRecs,
					   list* pDiags);

boolean Z3950V2PresentRespReadObjElemAPDU(char*  pBuf, 
					  long*  pNumRecRet, 
					  long*  pNxtResSetPos, 
					  long*  pPrsntStat,
					  char** pElem,
					  char** pObjElem, 
					  long*  pObjElemLen,
					  char** pTargetPtr,
					  list*  pDiags);

#endif /* ndef cli_h */
