/*****************************************************************************
* 	        (c) Copyright 1994 Wide Area Information Servers, Inc        *
*	   	                 All rights reserved.   	             *
*									     *
*  This notice is intended as a precaution against inadvertent publication   *
*  and does not constitute an admission or acknowledgement that publication  *
*  has occurred or constitute a waiver of confidentiality.		     *
*									     *
*  Wide Area Information Server software is the proprietary and              *
*  confidential property of Wide Area Information Servers, Inc.              *
*****************************************************************************/

#ifndef oid_h
#define oid_h

/* Z39.50 Object Identifier for USMARC Record Syntax */
#define OID_RECSYN_USMARC  "1.2.840.10003.5.10"

/* Z39.50 Object Identifier for Simple Unstructured Text Record Syntax */
#define OID_RECSYN_SUTRES  "1.2.840.10003.5.101"

/* Z39.50 Object Identifier for Generic Record Syntax */
#define OID_RECSYN_GENERIC "1.2.840.10003.5.105"

/* Z39.50 Object Identifier for the Bib-1 Diagnostic Set */
#define OID_DIAG_BIB1      "1.2.840.10003.4.1"

/* Private Z39.50 Object Identifier for HTML Record Syntax*/
#define OID_RECSYN_HTML  "1.2.840.10003.5.1000.29.1"

/* Private Z39.50 Object Identifier for GIF Record Syntax*/
#define OID_RECSYN_GIF  "1.2.840.10003.5.1000.29.32"

#endif /* ndef oid_h */
